# ``twisted`.`positioning`.`base`.`_BaseSpeed``

class documentation

`class _BaseSpeed(FancyEqMixin): (source)`

Known subclasses: `twisted.positioning.base.Climb`, `twisted.positioning.base.Speed`

View In Hierarchy

An object representing the abstract concept of the speed (rate of movement) of a mobile object.

This primarily has behavior for converting between units and comparison.

Method | `__float__` | Returns the speed represented by this object expressed in meters per second.
Method | `__init__` | Initializes a speed.
Method | `__repr__` | Returns a string representation of this speed object.
Class Variable | `compareAttributes` | Undocumented
Property | `inKnots` | Returns the speed represented by this object, expressed in knots. This attribute is immutable.
Property | `inMetersPerSecond` | The speed that this object represents, expressed in meters per second. This attribute is immutable.
Instance Variable | `_speed` | Undocumented

Inherited from `FancyEqMixin`:

Method | `__eq__` | Undocumented
Method | `__ne__` | Undocumented

def __float__(self): (source)
Returns the speed represented by this object expressed in meters per second.

Returns
`float` | The speed represented by this object, expressed in meters per second.

def __init__(self, speed): (source)
overridden in `twisted.positioning.base.Climb`, `twisted.positioning.base.Speed`
Initializes a speed.

Parameters
speed:`float` | The speed that this object represents, expressed in meters per second.
Raises
`ValueError` | Raised if value was invalid for this particular kind of speed. Only happens in subclasses.

def __repr__(self): (source)
Returns a string representation of this speed object.

Returns
`str` | The string representation.

compareAttributes: `tuple[str, ...]` = (source)
overrides `twisted.python.util.FancyEqMixin.compareAttributes`

Undocumented

@property
inKnots: `float` = (source)
Returns the speed represented by this object, expressed in knots. This attribute is immutable.
@property
inMetersPerSecond: `float` = (source)
The speed that this object represents, expressed in meters per second. This attribute is immutable.
_speed = (source)

Undocumented